View Issue Details

IDProjectCategoryView StatusLast Update
0004548GNUnetARM servicepublic2019-02-28 11:17
ReporterlynXAssigned TolynX 
PrioritylowSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0004548: UX: Rename SYSTEM_ONLY and USER_ONLY
DescriptionThis distinction in system services and user services is neat, but
indeed not many people still have multi-user mainframes running...
let's be honest and admit that...

[arm]
SYSTEM_ONLY = YES
USER_ONLY = YES

... is a perfectly valid configuration. What's the problem with
that? Well it looks completely schizophrenic! I suggest we simply
do s/_ONLY/_SERVICES/g; Maybe also the "system" terminus is inexact
and we should speak of PEER_SERVICES instead...
TagsNo tags attached.

Activities

tg

2016-05-31 22:34

manager   ~0010826

_SERVICE (in singular) is more accurate since it's a per-service setting, not a list
or something like this:

RUN_SYSTEM_WIDE
RUN_PER_USER

Christian Grothoff

2016-06-01 19:10

manager   ~0010835

How about being even more explicit:

START_SYSTEM_SERVICES = YES/NO
START_USER_SERVICES = YES/NO

lynX

2016-06-01 21:27

developer   ~0010837

Agree with CG.

tg, you are confusing with the USER_SERVICE per-service setting, but I find RUN_PER_USER a better name for that, too.

So we could make both changes.

lynX

2016-06-09 13:40

developer   ~0010880

Last edited: 2016-06-09 13:40

View 2 revisions

I stand corrected. Now that I actually tried the configuration mentioned in this bug report I found it does not work. gnunet-arm bails out with an assertion that checks just for that. The only way to configure gnunet to run in "unified" mode is by *leaving both settings to NO*. So should we want to change the names of the configuration strings we also need to tweak the logic in gnunet-arm. Right now I'm undecided what's better.

Issue History

Date Modified Username Field Change
2016-05-31 18:24 lynX New Issue
2016-05-31 22:34 tg Note Added: 0010826
2016-06-01 19:10 Christian Grothoff Note Added: 0010835
2016-06-01 19:10 Christian Grothoff Status new => feedback
2016-06-01 21:27 lynX Note Added: 0010837
2016-06-01 21:27 lynX Status feedback => new
2016-06-03 13:20 Christian Grothoff Status new => confirmed
2016-06-09 13:40 lynX Note Added: 0010880
2016-06-09 13:40 lynX Note Edited: 0010880 View Revisions
2018-06-23 15:23 dvn Assigned To => lynX
2018-06-23 15:23 dvn Status confirmed => assigned
2018-06-23 16:15 lynX Status assigned => resolved
2018-06-23 16:15 lynX Resolution open => fixed
2018-06-23 16:15 lynX Fixed in Version => SVN HEAD
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-16 11:54 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed